Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1419 - World readable bash history files
Summary: World readable bash history files
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rootfiles
Version: 5.2
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-04 09:36 UTC by tarvin
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-09 21:31:12 UTC


Attachments (Terms of Use)

Description tarvin 1999-03-04 09:36:01 UTC
The bash history file security problem mentioned in
http://www.wired.com/news/news/technology/story/18109.html
also applies to Red Hat:

The users' (including root's) .bash_history files are
created World readable. I consider this a potentially high
security problem.

A proposed fix:
Include empty .bash_history files in the "skel" and
"rootfiles" RPM packages and make the files non-World
readable.

An other solution might be to patch bash so that it doesn't
create World readble history files.

Comment 1 seva 1999-03-15 08:35:59 UTC
Please read that article again... it talks about Cobalt misconfiguring
their Cube product, this is not a problem with Red Hat Linux...

To verify, add new user (useradd foo), change to that user (su - foo),
type in some commands (ls -l), logout, change to that user again
(su - foo), look at .bash_history:
-rw-------   1 foo      foo             6 Mar 15 02:27 .bash_history

As well as this quote from the articel which you posted, but failed to
read:

"He was unable to find similar exposure on sites running the Linux OS
that did not use the Cobalt RaQ."

/Seva

Comment 2 Preston Brown 1999-03-29 22:24:59 UTC
This problem does not exist in Red Hat Linux 5.9 beta, but I was able
to determine that on a number of 5.2 boxes, ~root/.bash_history is
world readable.  However, I'm not sure it merits a security release.
Cristian, what is your opinion of the situation?

Comment 3 Michael K. Johnson 1999-04-09 21:31:59 UTC
This is not a security issue -- the commands that root runs are
available in ps listings while they are running anyway.


Note You need to log in before you can comment on or make changes to this bug.